Bug 1498078 - oVirt Guest Agent is too old (1.0.11) [NEEDINFO]
Summary: oVirt Guest Agent is too old (1.0.11)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-guest-image
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Sandro Bonazzola
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-03 12:55 UTC by Tomáš Golembiovský
Modified: 2018-09-28 06:28 UTC (History)
9 users (show)

Fixed In Version: rhel-guest-image-7.5-161
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Rebase ovirt-guest-agent to version: ovirt-guest-agent-1.0.14-3.el7ev Highlights, important fixes, or notable enhancements: The ovirt-guest-agent allows the Red Hat Virtualization Manager to receive internal guest events and retrieve information such as the IP address and list of installed applications from the guest. Additionally the guest agent allows the Manager to execute specific commands, such as shut down or reboot, on guest virtual machines.
Clone Of:
Environment:
Last Closed: 2018-09-28 06:28:06 UTC
Target Upstream Version:
sbonazzo: needinfo? (lkocman)
sbonazzo: needinfo? (virt-bugs)


Attachments (Terms of Use)

Description Tomáš Golembiovský 2017-10-03 12:55:44 UTC
I've been notified that the RHEV/oVirt Guest Agent installed in latest rhel-guest-image-7.4-230 is too old. The installed package rhevm-guest-agent-common-1.0.11-3.el7ev has to be updated with ovirt-guest-agent-common version 1.0.13 (we use the upstream name now). The version 1.0.11 is too old and the image will be unusable with the upcoming RHEV 4.2 (see bug 1472293).

Comment 4 Ilanit Stein 2017-10-15 10:50:42 UTC
I do not know who that would be. 
Leaving this to be addressed by Meital.

Comment 5 Israel Pinto 2017-10-15 11:08:39 UTC
Hi all,

I tested it in Ovirt 4.2 version:
Software version:4.2.0-0.0.master.20171012160334.git6fb4578.el7.centos

With guest-image: rhel-guest-image-7.4-230.x86_64
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=599859

VM failed to get IP from guest agent. 
See log: 
[cloud_init_user@vm-72-111 ~]$ cat /var/log/ovirt-guest-agent/ovirt-guest-agent.log 
MainThread::INFO::2017-10-15 07:05:54,018::ovirt-guest-agent::57::root::Starting oVirt guest agent
MainThread::ERROR::2017-10-15 07:05:54,021::ovirt-guest-agent::138::root::Unhandled exception in oVirt guest agent!
Traceback (most recent call last):
  File "/usr/share/ovirt-guest-agent/ovirt-guest-agent.py", line 132, in <module>
    agent.run(daemon, pidfile)
  File "/usr/share/ovirt-guest-agent/ovirt-guest-agent.py", line 63, in run
    self.agent = LinuxVdsAgent(config)
  File "/usr/share/ovirt-guest-agent/GuestAgentLinux2.py", line 437, in __init__
    AgentLogicBase.__init__(self, config)
  File "/usr/share/ovirt-guest-agent/OVirtAgentLogic.py", line 180, in __init__
    self.vio = VirtIoChannel(config.get("virtio", "device"))
  File "/usr/share/ovirt-guest-agent/VirtIoChannel.py", line 151, in __init__
    self._stream = VirtIoStream(vport_name)
  File "/usr/share/ovirt-guest-agent/VirtIoChannel.py", line 132, in __init__
    self._vport = os.open(vport_name, os.O_RDWR)
OSError: [Errno 2] No such file or directory: '/dev/virtio-ports/com.redhat.rhevm.vdsm'
[cloud_init_user@vm-72-111 ~]$ 

Same as in the BZ https://bugzilla.redhat.com/show_bug.cgi?id=1472293

Comment 12 Lubos Kocman 2018-04-15 11:58:23 UTC
Change was merged I did update rhel-7.5 and rhel-7.6 configs.

Comment 14 Israel Pinto 2018-04-22 13:44:28 UTC
Verify with:
Engine version:4.2.3-0.1.el7
rhel-guest-image-7.5-161.x86_64.qcow2

Virt sanity pass


Note You need to log in before you can comment on or make changes to this bug.